stages:
  - publish

publish:
  image: node:18
  tags: [docker]
  stage: publish
  script:
    - npm install typescript@4.9.5 sass@1.63.3 sass-loader@13.3.2
    - npm run build
    - echo "@a-dev-team-55:registry=https://${CI_SERVER_HOST}/api/v4/projects/${CI_PROJECT_ID}/packages/npm/">.npmrc
    - echo "//${CI_SERVER_HOST}/api/v4/projects/${CI_PROJECT_ID}/packages/npm/:_authToken=${CI_JOB_TOKEN}">>.npmrc
    - npm publish
  only:
    - tags
